﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ImageView2.aspx.cs" Inherits="ImageView" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <link type="text/css" rel="stylesheet" href="StyleSheet.css">
</head>
<body>
<form id="form1" runat="server">
<h1>Images For Selected Claim</h1>
<p>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT [imageID], [title], [description] FROM [image2] WHERE ([claimID] = @claimID)">
        <SelectParameters>
            <asp:QueryStringParameter Name="claimID" QueryStringField="claimID" 
                Type="Int32" />
        </SelectParameters>
        </asp:SqlDataSource>
</p>
<p>
    <asp:ListView ID="ListView1" runat="server" DataKeyNames="imageID" 
        DataSourceID="SqlDataSource1">
        <EmptyDataTemplate>
            <p>No images found</p>
        </EmptyDataTemplate>
        <LayoutTemplate>
           <ul class="mylist">
               <asp:PlaceHolder ID="itemPlaceholder" runat="server"/>
           </ul>
        </LayoutTemplate>
        <ItemTemplate>
            <li>
                <asp:Label ID="titleLabel" runat="server" Text='<%# Eval("title") %>' />:
                <asp:Label ID="descriptionLabel" runat="server" Text='<%# Eval("description") %>' />
                <br />
                <asp:Image ID="Image1" runat="server" Width=200px Height=200px 
                    ImageUrl='<%# Eval("imageID", "~/ShowImage.aspx?imageID={0}") %>' />
            </li>
        </ItemTemplate>
    </asp:ListView>
</p>
</form>
</body>
</html>
